% Monte Carlo Simulation for a fixed probabilistic model 
%
% Note: MATLAB Statistics toolbox required
%
% CODED BY:  Luis G. Crespo NIA/NASA-DSCB
% CODED ON:  31 August, 2012

clear all;
tic
n=100; %number of samples
p2=0.5;  
p6=0.5;
p12=0;
p16=1;
gauss.m=[0,0];
gauss.stds=[2,2];
gauss.rho=0;
sams_p4_and_p5=mvnrnd(gauss.m,[gauss.stds(1)^2,gauss.rho*prod(gauss.stds);gauss.rho*prod(gauss.stds),gauss.stds(2)^2],n); 
psam=[betarnd(3,3,n,1),p2*ones(n,1),betarnd(1,1,n,1),sams_p4_and_p5,p6*ones(n,1),betarnd(1,1,n,1),betarnd(2,2,n,1),betarnd(1,1,n,1),...
      betarnd(1,1,n,1),betarnd(1,1,n,1),p12*ones(n,1),betarnd(6,1,n,1),betarnd(2,3,n,1),betarnd(2,2,n,1),p16*ones(n,1),...
      betarnd(2,3,n,1),betarnd(4,1,n,1),betarnd(1,1,n,1),betarnd(1,1,n,1),betarnd(1,30,n,1)];
g=x_to_g(p_to_x(psam));
wcg=max(g')';
J1=mean(wcg)
J2=length(find(wcg>0))/n
toc
